[Snort-devel] [ snort-Support Requests-1062741 ] Can't install source nor RPM on Fedora Core 2

SourceForge.net noreply at ...12...
Fri Nov 19 10:49:04 EST 2004


Support Requests item #1062741, was opened at 2004-11-08 14:55
Message generated for change (Tracker Item Submitted) made by Item Submitter
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=203357&aid=1062741&group_id=3357

Category: None
Group: None
Status: Open
Priority: 5
Submitted By: Nobody/Anonymous (nobody)
Assigned to: Nobody/Anonymous (nobody)
Summary: Can't install source nor RPM on Fedora Core 2

Initial Comment:
I'm trying to install Snort 2.2.0 on Fedora Core 2 and 
keep running into problems.

If I try the snort RPM it tells me it depends on libcap-
0.6.x and won't install....
but I have libcap.0.8.3 installed.

I tried uninstalling it to install the older version, but it 
won't because I have other apps like etheral that 
depend on it.

So I tried the RPM with --nodep and of course when I 
tried to run Snort it fails because it can't find 
libcap.0.6.x.

So uninstalled, and tried to use the snort source.

If I ./configure --with-mysql=/usr/bin/mysql I get the 
error:

checking for mysql...

******************************************
****
  ERROR: unable to find mysql headers (mysql.h)
  checked in the following places
******************************************
****

So I just use:
./configure --with-mysql
and
./configure --with-mysql=/usr/bin/

and both finish configure, make, and make install 
without problems, but then when I try to run snort I get:

database: compiled support for ( )
database: configured to use mysql
database: 'mysql' support is not compiled into this build 
of snort

ERROR: If this build of snort was obtained as a binary 
distribution (e.g., rpm,
or Windows), then check for alternate builds that 
contains the necessary
'mysql' support.


Now, my mySQL install is fine because I have databases 
on it working just fine.
I checked for updated versions using yum on mysql, 
mysql-server, mysql-devel, and mysql-bench and all 
came back saying there are no updates available.

I'm completely at a loss here. Where do I go from here? 
What else can I check?

Any clues would be appreciated!
Thanks,
Liam

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=203357&aid=1062741&group_id=3357




More information about the Snort-devel mailing list